<?php /* _\|/_
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso-Module "Guestbook"                                           |
+------------------------------------------------------------------------+
| Copyright (c) Matthias Vorwergk                                        |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso.de                                             |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Mattias Vorwergk <matthias.vorwergk@web.de>                   |
+------------------------------------------------------------------------+
*/

if (!defined('CPO')) exit;

global $key, $content, $_type, $_name, $db_autor, $db_email, $db_initial, $db_nr, $db_template, $db_idx, $db_pub_datum, $db_verfallsdatum, $db_titel, $db_content, $db_changer, $db_rubric_id, $db_last_modify,
    $activeModules,
    $pagetype,
    $cpoSystem, $auto_base_url;

// which value is requested?
switch (true) {
case strtolower($_name)=='editor':
    $db_content->query('SELECT name, initial, email FROM '.CPO_USER." WHERE user='".addslashes($db_changer)."' ");
    if ($db_content->next_record()) {
        $content[$key] = array(
            'type'          => $_type,
            'name'          => $_name,
            'editorname'    => $db_content->v('name'),
            'editoremail'   => $db_content->v('email'),
            'editorinitials'=> $db_content->v('initial')
        );
    }
    break;
case strtolower($_name)=='author':
    $content[$key] = array(
        'type'          =>$_type,
        'name'          =>$_name,
        'authorname'    =>$db_autor,
        'authoremail'   =>$db_email,
        'authorinitials'=>$db_initial
    );
    //Hinzugefgt fr mod_guestbook
    if (!empty($db_email)) {
        $content['authoremail ('.$_type.')'] = array(
            'type'      => $_type,
            'name'      => 'authoremail',
            'authoremail'   =>$db_email
        );
    }
    break;
//Hinzugefgt fr mod_guestbook
case strtolower($_name)=='author_mod_contact':
    if(isset($activeModules[__("Contact")]) || isset($activeModules['Contact'])) {
        //Wenn das modul englische Benutzer installieren, dann hat es englsichen Namen
        if(isset($activeModules[__('Contact')]))
            $contact = ___('Contact');
        else 
            $contact = 'Contact';
      
        //Link zu mod_contact generieren
        $db_mod_contact = new DB;
        $query_mod_contact = "SELECT recipients FROM ".TBL_CONTACT." ";
        DEBUG(1, $query_mod_contact, __FILE__, __LINE__);   
        $db_mod_contact->query($query_mod_contact);
        $db_mod_contact->next_record();
        $contactRecipients = unserialize($db_mod_contact->v('recipients'));;
        
        foreach ($contactRecipients as $value) {
            if ($db_email==trim($value['1']) && !empty($value['0']) && $activeModules[$contact]['directory'])
                $db_email_mod_contact = BASE_ABS.$activeModules[$contact]['directory'].'/index.php?contact='.urlencode(trim($value['0']));
        }
        if (!empty($db_email_mod_contact)) {
            $content[$key] = array(
                'type'          =>$_type,
                'name'          =>$_name,
                'authorname'    =>$db_autor,
                'authoremail'   =>$db_email_mod_contact,
                'authorinitials'=>$db_initial
            );
        }
    }
    break;
case strtolower($_name)=='articlenr':
    $content[$key] = array(
        'type'          =>$_type,
        'name'          =>$_name,
        'articlenr'     =>$db_nr
    );
    break;
case strtolower($_name)=='template':
    $content[$key] = array(
        'type'          =>$_type,
        'name'          =>$_name,
        'template'      =>$db_template
    );
    break;
case strtolower($_name)=='articleidx':
    $content[$key] = array(
        'type'          =>$_type,
        'name'          =>$_name,
        'articleidx'    =>$db_idx
    );
    break;
case strtolower($_name)=='pub_date':
    $content[$key] = array(
        'type'          =>$_type,
        'name'          =>$_name,
        'pub_date'      =>$db_pub_datum
    );
    break;
case stristr(strtolower($key), 'exp_date') && ($db_verfallsdatum!='2036-01-01 00:00:00'):
    $content[$key] = array(
        'type'          =>$_type,
        'name'          =>$_name,
        'exp_date'      =>$db_verfallsdatum
    );
    break;
case stristr(strtolower($key), 'chg_date') && ($db_pub_datum!=$db_last_modify):
    $content[$key] = array(
        'type'          =>$_type,
        'name'          =>$_name,
        'chg_date'      =>$db_last_modify
    );
    break;

/* commentary is an internal field that should not be used in templates...
case strtolower($_name)=='commentary':
    $content[$key] = array(
        'type'          =>$_type,
        'name'          =>$_name,
        'commentary'    =>$db_commentary
    );
    break;
/* */

case strtolower($_name)=='title':
    if (!empty($db_titel)) {
        $content[$key] = array(
            'type'          =>$_type,
            'name'          =>$_name,
            'title'         =>$db_titel
        );
    }
    break;
    
case stristr(strtolower($key), 'rubric'):
    $db_content->query('SELECT directory, name, settings '
        .'FROM '.CPO_RUBRIC.' '
        .'WHERE id='.(int)$db_rubric_id
    ); 

    if (!$db_content->next_record()) break;

    $_settings = unserialize($db_content->v('settings'));
    if (!is_array($_settings)) break; // FIXME add better settings loading and check

    $content[$key] = array(
        'type'   => $_type,
        'name'   => $_name,
        'rubricid'        => $db_rubric_id,
        'rubricname'      => $db_content->v('name'), 
        'rubricdirectory' => $db_content->v('directory'), 
        'rubrictitle'     => $_settings['title'] 
    );
    break;
    
    //Daten, welche beim Mailversand sinnvoll sind
case (strtolower($_name)=='cposystem' && $pagetype=='email'):
    $content[$key] = array(
        'type'      =>$_type,
        'name'      =>$_name,
        'cpoSystem' =>$cpoSystem
    );
    if (empty($content[$key]['cpoSystem']['base_url'])) {
    	$content[$key]['cpoSystem']['base_url'] = $auto_base_url;
    }
    break;
}
?>
