<?php /* _\|/_
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso-Module "Guestbook"                                           |
+------------------------------------------------------------------------+
| Copyright (c) Matthias Vorwergk                                        |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso.de                                             |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Mattias Vorwergk <matthias.vorwergk@web.de>                   |
+------------------------------------------------------------------------+
*/

if (!defined('CPO')) exit;

global $key, $replacement, $content, $parameters, $db_rubric_id, $cpoRubrics, $translator,
    $_name, $directory, $guestbookDirectoy;

switch (true) {
case strtolower($_name)=='editor':
    $replacement = sprintf('<a href="mailto:%s">%s</a>', 
        htmlspecialchars($content[$key]['editoremail']), 
        htmlspecialchars($content[$key]['editorname'])
    );
    if (array_key_exists('name', $parameters)) {
        $replacement = htmlspecialchars($content[$key]['editorname']);
    }
    if (array_key_exists('email', $parameters)) {
        $replacement = htmlspecialchars($content[$key]['editoremail']);
    }
    if (array_key_exists('initials', $parameters)) {
        $replacement = htmlspecialchars($content[$key]['editorinitials']);
    }
    break;

case strtolower($_name)=='author':
    $replacement = sprintf('<a href="mailto:%s">%s</a>', 
        htmlspecialchars($content[$key]['authoremail']), 
        htmlspecialchars($content[$key]['authorname'])
    );
    if (array_key_exists('name', $parameters)) {
        $replacement = htmlspecialchars($content[$key]['authorname']);
    }
    if (array_key_exists('email', $parameters)) {
        $replacement = htmlspecialchars($content[$key]['authoremail']);
    }
    if (array_key_exists('initials', $parameters)) {
        $replacement = htmlspecialchars($content[$key]['authorinitials']);
    }
    //Hinzugefgt fr mod_guestbook
    $_email = split('@', htmlspecialchars($content[$key]['authoremail']));
    if (array_key_exists('email_js_starttag', $parameters)) {
        $_t  = '<script type="text/javascript">';
        $_t .= 'var name=\''.$_email[0].'\';';
        $_t .= 'var domain=\''.$_email[1].'\';';
        $_t .= 'document.write(\'<a href="mailto:\'+name+\'@\'+domain+\'">\');';
        $_t .= '</script>';
        $replacement = $_t;
    }
    if (array_key_exists('email_antispam', $parameters)) {
        $replacement = $_email[0].' (at) '.$_email[1];;
    }
    if (array_key_exists('email_encode', $parameters)) {
        $_email = $content[$key]['authoremail'];
        $replacement = '';
        /** Encode email addresses to make it harder for spammers to harvest them.
        *
        * Spam-me-not PHP version by Rolf Offermanns
        * inspired by the Spam-me-not JavaScript by Andreas Neudecker
        *
        * version: 2003-09-28
        *
        * Spam-me-not Javascript Homepage:
        *
        *     http://www.zapyon.de/
        * http://www.zapyon.de/spam-me-not/index.de.html
        */
        $_emailLength = strlen($_email);
        if ($parameters['email_encode']=='1' xor $parameters['email_encode']=='2' xor $parameters['email_encode']=='3') {
        	$_encodeMode = $parameters['email_encode'];
        } else {
            $encodeMode = 3;
        }
        $_mode = $_encodeMode;

        for ( $i = 0; $i < $_emailLength; $i++) {
            if ($_mode == 3) $_encodeMode = rand(1,2);
            switch ($_encodeMode) {
                case 1: // Decimal code
                    $_t = "&#" . ord($_email[$i]) . ";";
                    break;
                case 2: // Hexadecimal code
                    $_t = "&#x" . dechex(ord($_email[$i])) . ";";
                    break;
                default:
                    return "ERROR: wrong encoding mode.";
            }
            $replacement .= $_t;
        }
    }
    break;

//Hinzugefgt fr mod_guestbook
case strtolower($_name)=='authoremail':
    $replacement = htmlspecialchars($content[$key]['authoremail']);
    break;

//Hinzugefgt fr mod_guestbook
case strtolower($_name)=='author_mod_contact':
    $replacement = sprintf('<a href="%s">%s</a>', 
        htmlspecialchars($content[$key]['authoremail']), 
        htmlspecialchars($content[$key]['authorname'])
    );
    if (array_key_exists('name', $parameters)) {
        $replacement = htmlspecialchars($content[$key]['authorname']);
    }
    if (array_key_exists('email', $parameters) || array_key_exists('email', $parameters)) {
        $replacement = htmlspecialchars($content[$key]['authoremail']);
    }
    if (array_key_exists('initials', $parameters)) {
        $replacement = htmlspecialchars($content[$key]['authorinitials']);
    }
    break;

case strtolower($_name)=='articlenr':
    $replacement = htmlspecialchars($content[$key]['articlenr']); 
    break;

case strtolower($_name)=='template':
    $replacement = htmlspecialchars($content[$key]['template']); 
    break;

case stristr(strtolower($key), 'articleidx'):
    $replacement = htmlspecialchars($content[$key]['articleidx']);
    //Hinzugefgt fr mod_guestbook, falls jemand diese Code-nderung bentigt
    if (array_key_exists('date', $parameters) && is_int($content[$key]['articleidx'])) {
        $date = strtotime(substr($content[$key]['articleidx'], 0, 2).'-'.substr($content[$key]['articleidx'], 2, 2).'-'.substr($content[$key]['articleidx'], 4, 2));
        $replacement = htmlspecialchars(date($cpoRubrics[$db_rubric_id]['settings']['date_format'], $date));
        $replacement = htmlspecialchars($translator->getDateTranslation($replacement, $cpoRubrics[$db_rubric_id]['settings']['language']));
        if (array_key_exists('timestamp', $parameters)) {
            $replacement = htmlspecialchars($date);
            break;
        }
        if (array_key_exists('format', $parameters)) {
            $replacement = date($parameters['format'], $date);
            $replacement = htmlspecialchars($translator->getDateTranslation($replacement, $cpoRubrics[$db_rubric_id]['settings']['language']));
        }
    } //Ende 
    break;
case stristr(strtolower($key), 'pub_date'): 
    $replacement = htmlspecialchars(date($cpoRubrics[$db_rubric_id]['settings']['date_format'], strtotime($content[$key]['pub_date']))); 
    $replacement = htmlspecialchars($translator->getDateTranslation($replacement, $cpoRubrics[$db_rubric_id]['settings']['language']));
    if (array_key_exists('timestamp', $parameters)) {
        $replacement = htmlspecialchars(strtotime($content[$key]['pub_date'])); 
        break;
    }
    if (array_key_exists('format', $parameters)) {
        $replacement = date($parameters['format'], strtotime($content[$key]['pub_date'])); 
        $replacement = htmlspecialchars($translator->getDateTranslation($replacement, $cpoRubrics[$db_rubric_id]['settings']['language']));
    }
    break;

case stristr(strtolower($key), 'exp_date'):
    $replacement = htmlspecialchars(date($cpoRubrics[$db_rubric_id]['settings']['date_format'], strtotime($content[$key]['exp_date'])));
    $replacement = htmlspecialchars($translator->getDateTranslation($replacement, $cpoRubrics[$db_rubric_id]['settings']['language']));
    if (array_key_exists('timestamp', $parameters)) {
        $replacement = htmlspecialchars(strtotime($content[$key]['exp_date']));
        break;
    }
    if (array_key_exists('format', $parameters)) {
        $replacement = date($parameters['format'], strtotime($content[$key]['exp_date'])); 
        $replacement = htmlspecialchars($translator->getDateTranslation($replacement, $cpoRubrics[$db_rubric_id]['settings']['language']));
    }
    break;
case stristr(strtolower($key), 'chg_date'): 
    $replacement = htmlspecialchars(date($cpoRubrics[$db_rubric_id]['settings']['date_format'], strtotime($content[$key]['chg_date']))); 
    $replacement = htmlspecialchars($translator->getDateTranslation($replacement, $cpoRubrics[$db_rubric_id]['settings']['language']));
    if (array_key_exists('timestamp', $parameters)) {
        $replacement = htmlspecialchars(strtotime($content[$key]['chg_date'])); 
        break;
    }
    if (array_key_exists('format', $parameters)) {
        $replacement = date($parameters['format'], strtotime($content[$key]['chg_date'])); 
        $replacement = htmlspecialchars($translator->getDateTranslation($replacement, $cpoRubrics[$db_rubric_id]['settings']['language']));
    }
    break;

/* commentary is an internal field that should not be used in templates...
case strtolower($_name)=='commentary':
    $_t = $content[$key]['commentary'];
    if (array_key_exists('strip_tags', $parameters)) {
        $_t = strip_tags($_t);
    }

    $_t = htmlspecialchars($_t);

    if (array_key_exists('nl2br', $parameters)) {
        $_t = nl2br($_t);
    }
    $replacement = $_t;
    break;
/* */

case strtolower($_name)=='title':
    $_t = $content[$key]['title'];
    //FIXME Matthias: ist das berhaupt Sinnvoll dies reinzunehmen, da sich mgiche Kommentare so nicht mehr von Artikeln unterscheiden und in normalen Artikeln etwas weckgeschnitten werden kann, was nicht beabsichtigt ist?
    /*
    //Wenn das aktuelle Verzeichnis kein Gstebuchverzeichnis ist, dann schneide eine Raute und alles davor vom Titel ab
    if (!in_array($directory, $guestbookDirectoy) && count(explode('#', $_t))>=2) {
        $_t = substr($_t, strpos($_t, '#')+1);   
    }/**/
    
    if (array_key_exists('strip_tags', $parameters)) {
        $_t = strip_tags($_t);
    }
    
    $_t = htmlspecialchars($_t);

    $replacement = $_t;
    break;
    
case stristr(strtolower($key), 'rubric'):
    $_t = sprintf('<a href="../%s/index.php?rubric=%s">%s</a>', 
        htmlspecialchars($content[$key]['rubricdirectory']), 
        urlencode($content[$key]['rubricid']), 
        htmlspecialchars($content[$key]['rubrictitle']) 
    ); 
    $htmlspecialchars = false;

    if (array_key_exists('id', $parameters)) {
        $_t = (int)$content[$key]['rubricid'];
        $htmlspecialchars = true;
    }
    if (array_key_exists('directory', $parameters)) {
        $_t = $content[$key]['rubricdirectory'];
        $htmlspecialchars = true;
    }
    if (array_key_exists('name', $parameters)) {
        $_t = $content[$key]['rubricname'];
        $htmlspecialchars = true;
    }
    if (array_key_exists('title', $parameters)) {
        $_t = $content[$key]['rubrictitle'];
        $htmlspecialchars = true;
    }

    if (array_key_exists('strip_tags', $parameters)) {
        $_t = strip_tags($_t);
    }
    if (array_key_exists('urlencode', $parameters)) {
        $_t = urlencode($_t);
    }
    
    if ($htmlspecialchars) {
        $_t = htmlspecialchars($_t);
    }

    $replacement = $_t;
    break;
    
case strtolower($_name)=='cposystem':
    $_t = $content[$key]['cpoSystem']['project'];
    foreach ($parameters as $k => $v) {
        $k = strtolower($k);
        //nur das auslesen der Folgenden Werte ber Template erlauben.
        if (!($k=='admin_email' || $k=='system_email' || $k=='project' || $k=='base_url')) {
            continue;
        }
        if (array_key_exists($k, $content[$key]['cpoSystem'])) {
        	$_t = $content[$key]['cpoSystem'][$k];
        }
    }    
    $replacement = $_t;
    
    break;

    
    /* FIXME:Balu These fields might be used too<
    kategory
    datum bigint
    freigabe_name
    freigabe_datum bigint
    timestamp timestamp
    last_modify bigint
    c_time datetime
    changer
    sort_id 
    */
}
?>
