<?php /* _\|/_
         (o o)
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso-Module "Guestbook"                                           |
+------------------------------------------------------------------------+
| Copyright (c) Matthias Vorwergk                                        |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso.de                                             |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Mattias Vorwergk <matthias.vorwergk@web.de>                   |
+------------------------------------------------------------------------+
*/

if (!defined('CPO')) exit;

$translator->addTranslation('deutsch', CPO_BASEDIR.$moduleDirectory.'/_include/lang');

//Eine Warnung ausgeben, wenn das Templates gelscht werden soll, welches vom Modul benuzt wird.
$actions = array();
if (isset($_REQUEST['action']))
    is_array($_REQUEST['action']) ? $actions = $_REQUEST['action'] : $actions = array($_REQUEST['action']);
while ($nextaction = array_shift($actions)) {
    if ($nextaction=='templates_delete' && $activeModules[ucfirst($moduleDirectory)]['template_id']==$_REQUEST['id']) {
        $GLOBALS['message'][] = sprintf(___('Attention, this template is used by the module %s in the directory %s!'),
            $activeModules[ucfirst($moduleDirectory)]['caption'],
            $moduleDirectory);
    }
}

//Darauf hinweisen, dass noch keine Rubrik mit dem Modulverzeichnis als Rubrikverzeichnis angelegt wurde
if (isset($activeModules[ucfirst($moduleDirectory)]) && !isset($_REQUEST['rubric'])) { //nur im Backend, da gibt es $_REQUEST['rubric'] nicht
    $gb_db = new DB;
    $gb_db->query("SELECT COUNT(*) FROM ".CPO_RUBRIC." WHERE directory = '".addslashes($moduleDirectory)."' ");
    $gb_db->next_record();
    $count = $gb_db->v('COUNT(*)');
    if (empty($count)) {
        $GLOBALS['message'][] = sprintf(___('Please create a rubric with the directory %s to finish the installation of the module mod_guestbook!'),
            '<em>'.htmlspecialchars($moduleDirectory).'</em>'
        );
    }
}

//Hier gebe ich einen Nachricht aus, wenn das Modul nicht lizenziert wurde
if ($_SESSION['SID_user']['admin']>=ROLE_SUPERUSER && //Meldung nur einem eingeloggten Superuser/Admin zeigen
    basename(dirname($_SERVER['PHP_SELF']))=='_admin' && //Meldung nur im Backend ausgeben
    isset($activeModules[ucfirst($moduleDirectory)]) && //Modul muss Aktiv sein, damit die Meldung ausgegeben wird
    //$activeModules[ucfirst($moduleDirectory)]['installed']<(time()-14*24*60*60) && //Modul-Testzeitraum abgelaufen ?
    (!license($activeModules[ucfirst($moduleDirectory)]['lkey'], 10) || license($activeModules[ucfirst($moduleDirectory)]['lkey'], 10)=='4'  || (license($cpoSystem['lkey'])=='1' && license($activeModules[ucfirst($moduleDirectory)]['lkey'], 10)=='2') )) {
        $message['mod_guestbook_license'] = sprintf(__('Module %s is not licensed. You can register on the <a href="http://www.conpresso.de" target="_blank">ConPresso-Website</a>.'), '<em>'.$activeModules[ucfirst($moduleDirectory)]['caption'].'</em>');
}



//bengigte Parser anhngen
$hdlr_parser_content['guestbook']     = array('include: '.urlencode($moduleDirectory.'/_include/parser_c_guestbook.inc.php'));
$hdlr_parser_replacement['guestbook'] = array('include: '.urlencode($moduleDirectory.'/_include/parser_r_guestbook.inc.php'));
$hdlr_parser_content['gb_text']       = array('include: '.urlencode($moduleDirectory.'/_include/parser_c_gb_text.inc.php'));
$hdlr_parser_replacement['gb_text']   = array('include: '.urlencode($moduleDirectory.'/_include/parser_r_gb_text.inc.php'));
$hdlr_parser_content['gb_url']        = array('include: '.urlencode($moduleDirectory.'/_include/parser_c_gb_url.inc.php'));
$hdlr_parser_replacement['gb_url']    = array('include: '.urlencode($moduleDirectory.'/_include/parser_r_gb_url.inc.php'));
//Value-Platzhalter berschreiben
$hdlr_parser_content['value']         = array('include: '.urlencode($moduleDirectory.'/_include/parser_c_value.inc.php'));
$hdlr_parser_replacement['value']     = array('include: '.urlencode($moduleDirectory.'/_include/parser_r_value.inc.php'));
//Text-Platzhalter zum Teil berschreiben
$hdlr_parser_replacement['text']     = array('include: '.urlencode($moduleDirectory.'/_include/parser_r_text.inc.php'));
//Setzen des Rubrikverzeichnisses, damit der Smiliepfad im Parser korrekt gesetzt werden kann.
$guestbookDirectoy[] = $moduleDirectory;
//Includen der abbc-Funktionen, damit diese in parser_r_text.inc.php verfgbar sind.
include_once('_include/abbc/abbc.lib.php');

//Sortierung im Backend
$articleSortMethods[__('by index (newest on top) and date (newest on top) - mod_guestbook')] = 'idx desc, pub_datum desc';


if (!function_exists('gb_helpTOC')) {
    function gb_helpTOC($helpDir)
    {
        global $moduleDirectory, $activeModules;
        
        return array(
            'Gstebuch - Inhalt' => '/'.$helpDir.'/index.html',
            '1. Einfhrung' => '/'.$helpDir.'/introduction.html',
            '2. Installation' => '/'.$helpDir.'/setup.html',
    	    array(
    	        '1. Artikel aus anderen Gstebchern bernehmen' => '/'.$helpDir.'/setup-import_articles.html',
    	        '2. Individuelle Modifizierungen' => '/'.$helpDir.'/setup-customisation.html'/*,
    	        '3. Sinnvolle Code-nderungen' => '/'.$helpDir.'/setup-code_modifications.html',
    	        '4. ConPresso-Versionen vor 4.0.4' => '/'.$helpDir.'/setup-former_cpo_versions.html'*/
    	    ),
    	    '3. Templatesystem' => '/'.$helpDir.'/templates.html',
    	    array(
            	'1. Ausgabeplatzhalter' => '/'.$helpDir.'/templates-output.html',
	            '2. Eingabeplatzhalter' => '/'.$helpDir.'/templates-input.html'
    	    ),
    	    '4. Einstellungen' => '/'.$helpDir.'/settings.html',
    	    array(
    	        '1. Modul-Lizenz' => '/'.$helpDir.'/settings.html#settings-license',
    	        '2. Gstebuch-Einstellungen' => '/'.$helpDir.'/settings.html#settings-gb_settings',
    	        '3. Einstellungen fr die Formularseite (\'detail.php\')' => '/'.$helpDir.'/settings.html#settings-form_settings',
    	        '4. Einstellungen fr die Rubrikseite (\'index.php\')' => '/'.$helpDir.'/settings.html#settings-index_settings'
    	    )
        );
    }
}

$GLOBALS['modules'][ucfirst($moduleDirectory)] = array(
'directory'=>$moduleDirectory,
'install'=>'function: gb_install '.$moduleDirectory,
'activate'=>'function: gb_activate',
'deactivate'=>'function: gb_deactivate',
'uninstall'=>'function: gb_uninstall '.$moduleDirectory,
'manage'=>'function: gb_manage '.$moduleDirectory,
'caption'=>__('Guestbook'). ' ('.$moduleDirectory.')',
'helpDir'=>$moduleDirectory.'/_manual/deutsch',
'helptoc'=>gb_helpTOC($moduleDirectory.'/_manual/deutsch')
);

if (!function_exists('gb_install')) {
    function gb_install($moduleDirectory)
    {
        $install_action = install;
        include('../'.$moduleDirectory.'/setup.php');
        $GLOBALS['message'][] = ___('The Guestbook-module was successfully installed!');
    }
}

if (!function_exists('gb_activate')) {
    function gb_activate()
    {
        $GLOBALS['message'][] = ___('The Guestbook-module got activated.');
    }
}

if (!function_exists('gb_deactivate')) {
    function gb_deactivate()
    {
        $GLOBALS['message'][] = ___('The Guestbook-module got deactivated.');
    }
}

if (!function_exists('gb_uninstall')) {
    function gb_uninstall($moduleDirectory)
    {
        $install_action = uninstall;
        $GLOBALS['message'][] = sprintf(___('Please remove the module directory %s and the template %s to finally uninstall the Guestbook-module.'),
            '<em>'.htmlspecialchars($moduleDirectory).'</em>', '<em>'.__('Guestbook').' ('.$moduleDirectory.')'.'</em>');
    }
}

if (!function_exists('gb_manage')) {
    function gb_manage($moduleDirectory)
    {
        global $activeModules, $cpoSystem;
        printIcon(
            '../'.$moduleDirectory.'/settings.php',
            '../_skin/conpresso/pic_settings.gif',
            (isset($activeModules[ucfirst($moduleDirectory)])) ? ___('work on guestbook settings') : ___('not available'),
            isset($activeModules[ucfirst($moduleDirectory)])
        );
        if (!isset($activeModules[ucfirst($moduleDirectory)])) {
        	printIcon(
                '../'.$moduleDirectory.'/_manual/deutsch/index.html',
                '../'.$moduleDirectory.'/_include/pics/pic_manual.gif',
                ___('read manual'),
                true
            );
        }
        //log_mv_module($activeModules[ucfirst($moduleDirectory)]['caption'], '4.1.1', $cpoSystem['admin_email']);
    }
}

if (!function_exists('log_mv_module'))  {
	function log_mv_module($module, $version, $email)  {
	    if (strlen($module) > 2) {
	       echo '<img src="http://www.Domain.de/_sig/log.php?module='.urlencode($module).'&version='.urlencode($version).'&email='.urlencode($email).'" width="1" height="21"/>';
	    }
	}
}

//msste theoretisch von zentral von ConPresso zur verfgung gestellt werden
if (!function_exists('save_module_options')) {
    function save_module_options($moduleName)
    {
        global $activeModules;
        $db = new DB;
        $query_safe = "UPDATE ".CPO_MODULES
            ." SET options = '".addslashes(serialize($activeModules[$moduleName]))."'"
            ." WHERE name = '".addslashes($moduleName)."'";
        $db->query($query_safe);
    }
}

?>